Qiime DADA2 error

(/home/share/biosoft/conda_env/qiime2-2018.6) [[email protected] lcy_nuohe]$ qiime dada2 denoise-paired --i-demultiplexed-seqs lcy.qza --o-table lcy.table.qza --o-representative-sequences lcy-rep-seqs.qza --o-denoising-stats lcy-denoising-stats.qza --p-trunc-len-f 120 --p-trunc-len-r 120 --p-trim-left-f 0 --p-trim-left-r 0
Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 127), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-eap5_6ph.log
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmp_sx0pea9/forward /tmp/tmp_sx0pea9/reverse /tmp/tmp_sx0pea9/output.tsv.biom /tmp/tmp_sx0pea9/track.tsv /tmp/tmp_sx0pea9/filt_f /tmp/tmp_sx0pea9/filt_r 120 120 0 0 2.0 2 consensus 1.0 1 1000000

/home/share/biosoft/conda_env/qiime2-2018.6/lib/R/bin/exec/R: error while loading shared libraries: libtinfow.so.6: cannot open shared object file: No such file or directory
Traceback (most recent call last):
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
run_commands([cmd])
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/subprocess.py”, line 398, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp_sx0pea9/forward’, ‘/tmp/tmp_sx0pea9/reverse’, ‘/tmp/tmp_sx0pea9/output.tsv.biom’, ‘/tmp/tmp_sx0pea9/track.tsv’, ‘/tmp/tmp_sx0pea9/filt_f’, ‘/tmp/tmp_sx0pea9/filt_r’, ‘120’, ‘120’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 127

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 232, in bound_callable
output_types, provenance)
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 367, in callable_executor
output_views = self._callable(**view_args)
File “/home/share/biosoft/conda_env/qiime2-2018.6/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 127), please inspect stdout and stderr to learn more.

Hey @suqinzhi,

That’s very strange.

I wonder if something bad happened during installation, would you be able to remove the environment and re-install? It looks like that particular library is part of ncurses, which is used by a lot of things.

We could try installing ncurses directly (from the conda-forge channel), but other things might be wrong, so you would be better of un-installing and re-installing.

To remove:

conda env remove -n qiime2-2018.6

Then just follow the install instructions again. Hopefully that clears it up.

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.